Subject: Re: [PATCH] Added options NO_TCLTK, WITH_P4IMPORT and --with-tcltk/--without-tcltk.

From: Eygene Ryabinkin <[email-masked]>
Date: Tue, 27 Mar 2007 10:59:40 +0400

Junio, good day.

Mon, Mar 26, 2007 at 09:12:17PM -0700, Junio C Hamano wrote:
> Eygene Ryabinkin <[email-masked]> writes:
> 
> > Mon, Mar 26, 2007 at 01:36:49AM -0700, Junio C Hamano wrote:
> > ...
> >> Thanks for sanity checking.  That means that the absense of
> >> tcltk would make it impossible to munge the scripts to point at
> >> the wish binary, so makes the NO_TCLTK stuff easier to swallow.
> >
> > Sorry, did not get the point. The TCLTK is initialized to the 'wish'
> > by 'TCLTK ?= wish', so TCLTK will always be here and initialized
> > to the wish by-default.
> 
> Earlier I said I did not see a reason for not building wish
> applications on a build system that lack them.  I am stating
> that you could argue that your rewriting the path to wish is a
> good reason (I would say it is half-good, as you can still tell
> the build procedure where wish will be on the deployed system
> without having it on your build system) for not building wish
> applications in a build that lacks wish installation.

OK, so, probably, I should modify the behaviour of the --with-tcltk
and configure to look for the Tcl/Tk interpreter _only_ if
--with-tcltk[=PATH] was given and to leave the things unmodified
in the case of absence of that option. But still, --without-tcltk
will disable Tcl/Tk dependant parts. Will people be happy with such
behaviour?
-- 
Eygene